What LwIP version to use?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

What LwIP version to use?

Joakim Wiberg
Hi all,

Are there any "official" release schedules and release policies for LwIP? I've been trying to find information about this but not fond any the information I'm looking for.

Today version 2.1.2 is the latest stable release tag, which today is about 2 years old. In the same branch (STABLE-2_1_x) there has been some fixes done after the 2.1.2 tag. And naturally there has been a lot of fixes and improvements in the master branch.

What version of LwIP is it encouraged to use, are there any suggestions ion this that I've not been able to find? Stick to the latest stable release tag, a later commit from the stable branch, or use something from the master branch.

Thanks,
Joakim


_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users
Reply | Threaded
Open this post in threaded view
|

Re: What LwIP version to use?

goldsimon@gmx.de
Am 23.11.2020 um 13:59 schrieb Joakim Wiberg:
> Hi all,
>
> Are there any "official" release schedules and release policies for LwIP? I've been trying to find information about this but not fond any the information I'm looking for.
>
> Today version 2.1.2 is the latest stable release tag, which today is about 2 years old. In the same branch (STABLE-2_1_x) there has been some fixes done after the 2.1.2 tag. And naturally there has been a lot of fixes and improvements in the master branch.
>
> What version of LwIP is it encouraged to use, are there any suggestions ion this that I've not been able to find? Stick to the latest stable release tag, a later commit from the stable branch, or use something from the master branch.

Both 2.1.2 and the master branch should be pretty stable. I planned to
do a release based on master before I found bug #57706 (ACD is not
stopped). Unfortunately, that was "just before" the Corona thing started
and this ongoing situation has lead to even less time for lwIP.

So unless you're using ACD, I'd suggest to use master. But even with
2.1.2, you should be pretty safe.

Regards,
Simon

_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users